logomoneymotion
CheckoutsessionsRpc
background
moneymotion Docs
moneymotion Docs
Checkout Sessions Get Checkout Session Details
POST
/rpc/CheckoutSessionsGetCheckoutSessionDetails
checkoutIdUUID

a Universally Unique Identifier

Match^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
Formatuuid

Response Body

curl -X POST "https://api.moneymotion.io/rpc/CheckoutSessionsGetCheckoutSessionDetails" \  -H "Content-Type: application/json" \  -d '{    "checkoutId": "a21b4d66-7585-4979-80ec-60ea35b35821"  }'
{
  "checkoutStatus": {
    "status": "pending",
    "lastUpdated": "string"
  },
  "createdOn": "string",
  "threeDSecureStatus": "Successful",
  "itemsInCheckout": [
    {
      "id": "string",
      "name": "string",
      "pricePerItemInCents": 0,
      "quantity": 0,
      "description": "string"
    }
  ],
  "totalInCents": 0,
  "totalWithFeeInCents": 0,
  "redirectUrls": [
    {
      "url": "string",
      "type": "success"
    }
  ],
  "security": {
    "ipAddress": "string",
    "userAgent": "string"
  },
  "fraudProtection": {
    "triggered": true,
    "rulesMatched": [
      {
        "ruleName": "string",
        "actionType": "block",
        "scoreContribution": 0
      }
    ],
    "totalScore": 0,
    "outcome": "allowed"
  }
}